/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

export default function PageResources({
	hideMoreComments,
	index,
	originalNamespace,
	randomNamespace,
	rootIndexPage,
}) {
	const indexInput = document.getElementById(
		`${originalNamespace}${randomNamespace}index`
	);

	if (indexInput) {
		indexInput.value = index;
	}

	const rootIndexPageInput = document.getElementById(
		`${originalNamespace}${randomNamespace}rootIndexPage`
	);

	if (rootIndexPageInput) {
		rootIndexPageInput.value = rootIndexPage;
	}

	if (hideMoreComments) {
		const moreCommentsContainer = document.getElementById(
			`${originalNamespace}moreCommentsContainer`
		);

		if (moreCommentsContainer) {
			moreCommentsContainer.classList.add('hide');
		}
	}
}
